.bar-loader {
  display: flex;
  align-items: center;
  flex-direction: column;

  &__text {
    font-size: 2rem;
  }

  &__bar {
    position: relative;

    width: 100%;
    height: 10px;

    background: rgba(white, 0.4);
    border-radius: 2px;

    &__percentage {
      position: absolute;
      top: 0;
      left: 0;

      width: 10%;
      height: 100%;

      background: #00c6de;
      border: 1px solid #00d7ee;
      border-radius: 2px;
      box-shadow: 0 0 12px rgba(#00e0f8, 0.6);

      transition: width 0.25s ease-in-out;
    }
  }
}
